FROM scratch

# Copy in the binary and settings file
COPY goInventorize-linux-amd64 /
COPY frontend/build /frontend

ENV PORT=3000
# Export necessary port.
EXPOSE 3000

# Command to run when starting the container.
ENTRYPOINT ["/goInventorize-linux-amd64"]